Package: groovy.grape

## [Groovy] Class IvyGrabRecord

- groovy.grape.IvyGrabRecord

-     @CompileStatic
      @EqualsAndHashCode
      class IvyGrabRecord
      extends Object

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `boolean` | `changing`
    `String` | `classifier`
    `List<String>` | `conf`
    `String` | `ext`
    `boolean` | `force`
    `org.apache.ivy.core.module.id.ModuleRevisionId` | `mrid`
    `boolean` | `transitive`
    `String` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `IvyGrabRecord()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Property Detail

    - #### boolean changing

    - #### String classifier

    - #### List<String> conf

    - #### String ext

    - #### boolean force

    - #### org.apache.ivy.core.module.id.ModuleRevisionId mrid

    - #### boolean transitive

    - #### String type

  - ### Constructor Detail

    - #### IvyGrabRecord()